org.apache.ignite.internal.pagemem.snapshot

## Class StartFullSnapshotDiscoveryMessage

- java.lang.Object
- - org.apache.ignite.internal.pagemem.snapshot.StartFullSnapshotDiscoveryMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class StartFullSnapshotDiscoveryMessage
    extends Object
    implements DiscoveryCustomMessage

Message indicating that a snapshot has been started.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StartFullSnapshotDiscoveryMessage(long globalSnapshotId, Collection<String> cacheNames, UUID initiatorId, boolean fullSnapshot, String msg)`

### Method Summary

Methods
`DiscoveryCustomMessage` `ackMessage()` Called when custom message has been handled by all nodes.
`Collection<String>` `cacheNames()`
`Exception` `error()`
`void` `error(Exception err)` Sets error.
`boolean` `fullSnapshot()`
`void` `fullSnapshot(boolean full)`
`long` `globalSnapshotId()`
`boolean` `hasError()`
`IgniteUuid` `id()`
`UUID` `initiatorId()`
`boolean` `isMutable()`
`Long` `lastFullSnapshotId(int cacheId)`
`void` `lastFullSnapshotId(int cacheId, long id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StartFullSnapshotDiscoveryMessage

    public StartFullSnapshotDiscoveryMessage(long globalSnapshotId,
                                     Collection<String> cacheNames,
                                     UUID initiatorId,
                                     boolean fullSnapshot,
                                     String msg)

Parameters:
  `cacheNames` - Cache names.
  `msg` - message to log

### Method Detail

#### error

    public void error(Exception err)

Sets error.

Parameters:
  `err` - Error.

#### hasError

    public boolean hasError()

Returns:
  `True` if message contains error.

#### error

    public Exception error()

Returns:
  Error.

#### initiatorId

    public UUID initiatorId()

Returns:
  Initiator node id.

#### id

    public IgniteUuid id()

Specified by:
  `id` in interface `DiscoveryCustomMessage`
Returns:
  Unique custom message ID.

#### globalSnapshotId

    public long globalSnapshotId()

Returns:
  Backup ID.

#### cacheNames

    public Collection<String> cacheNames()

Returns:
  Cache names.

#### fullSnapshot

    public boolean fullSnapshot()

#### lastFullSnapshotId

    public Long lastFullSnapshotId(int cacheId)

Parameters:
  `cacheId` - Cache id.

#### lastFullSnapshotId

    public void lastFullSnapshotId(int cacheId,
                          long id)

Parameters:
  `cacheId` - Cache id.
  `id` - Id.

#### ackMessage

    @Nullable
    public DiscoveryCustomMessage ackMessage()

Called when custom message has been handled by all nodes.

Specified by:
  `ackMessage` in interface `DiscoveryCustomMessage`
Returns:
  Ack message or `null` if ack is not required.

#### isMutable

    public boolean isMutable()

Specified by:
  `isMutable` in interface `DiscoveryCustomMessage`
Returns:
  `true` if message can be modified during listener notification. Changes will be send to next nodes.

#### fullSnapshot

    public void fullSnapshot(boolean full)

Parameters:
  `full` - full snapshot.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017